Package com.xebialabs.xlrelease.domain.environments

# Class EnvironmentReservation

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.xlrelease.domain.environments.EnvironmentReservation

All Implemented Interfaces:
  `ConfigurationItem`, `Serializable`, `Comparable<BaseConfigurationItem>`

@Metadata(versioned=false, root=CONFIGURATION) public class EnvironmentReservation extends BaseConfigurationItem

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EnvironmentReservation()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addApplication(Application application)`
  `List<Application>`
  `getApplications()`
  `Date`
  `getEndDate()`
  `Environment`
  `getEnvironment()`
  `String`
  `getNote()`
  `Date`
  `getStartDate()`
  `void`
  `setApplications(List<Application> applications)`
  `void`
  `setEndDate(Date endDate)`
  `void`
  `setEnvironment(Environment environment)`
  `void`
  `setNote(String note)`
  `void`
  `setStartDate(Date startDate)`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### EnvironmentReservation

    public EnvironmentReservation()

- ## Method Details

  - ### getEnvironment

    public Environment getEnvironment()

  - ### setEnvironment

    public void setEnvironment(Environment environment)

  - ### getStartDate

    public Date getStartDate()

  - ### setStartDate

    public void setStartDate(Date startDate)

  - ### getEndDate

    public Date getEndDate()

  - ### setEndDate

    public void setEndDate(Date endDate)

  - ### getApplications

    public List<Application> getApplications()

  - ### setApplications

    public void setApplications(List<Application> applications)

  - ### addApplication

    public void addApplication(Application application)

  - ### getNote

    public String getNote()

  - ### setNote

    public void setNote(String note)